| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::event_router Namespace Reference

Internal cogwheels for dpp::event_router_t. More...

## Classes

class | awaitable
| Awaitable object representing an event. A user can co_await on this object to resume the next time the event is fired, optionally with a condition. More...

## Enumerations

enum class | awaiter_state { none , waiting , resuming , cancelling }
| State of an owner of an event_router::awaitable. More...

## Detailed Description

Internal cogwheels for dpp::event_router_t.

## Enumeration Type Documentation

## ◆ awaiter_state

enum class dpp::detail::event_router::awaiter_state

strong

State of an owner of an event_router::awaitable.

Enumerator
none | Awaitable is not being awaited.
waiting | Awaitable is being awaited.
resuming | Awaitable will be resumed imminently.
cancelling | Awaitable will be cancelled imminently.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0